module.exports = {
  purge: {
    content: [
      "./pages/**/*.{js,ts,jsx,tsx}",
      "./components/**/*.{js,ts,jsx,tsx}",
    ],
    // These options are passed through directly to PurgeCSS
    options: {
      keyframes: true,
      fontFace: true,
    },
  },
  darkMode: false, // or 'media' or 'class'
  theme: {
    extend: {
      colors: {
        analytics: {
          border: "#d7dce1",
          "view-icon": "#39e09b",
          "click-icon": "#8a86e5",
        },
        gray: {
          450: "#3d3b3c",
        },
      },
      fontFamily: {
        karla: ["Karla", "Verdana", "sans-serif"],
      },
      fontSize: {
        s: ".82rem",
      },
      screens: {
        "lt-lg": "992px",
      },
      flex: {
        analytics: "1 0 0",
        chevron: "0 0 16px",
      },
    },
    minWidth: {
      "9/10": "90%",
    },
    maxWidth: {
      "6/10": "60%",
    },
    container: {
      center: true,
    },
  },
  variants: {
    extend: {},
  },
  plugins: [],
};
